summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2017-01-04 00:44:45 -0800
committerPaul Eggert <eggert@cs.ucla.edu>2017-01-04 00:45:14 -0800
commit44c588a25ce231ce05fb535cd6d7162e91214f45 (patch)
treec23bf3f31f57dee2f0cce6b9a60915006cbc53c3 /autogen.sh
parent2ec41c415f39990561cc9da4c9bad0b69bfad489 (diff)
downloademacs-44c588a25ce231ce05fb535cd6d7162e91214f45.tar.gz
Port recent autogen.sh changes to Darwin
Problem reported by Sam Steingold (Bug#25347). * autogen.sh: Don't assume 'sed -f-' reads a script from stdin, as POSIX does not require it and it does not work on Darwin.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 91e1e2cea23..f6bfde6afb2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -223,7 +223,10 @@ Please report any problems with this script to bug-gnu-emacs@gnu.org .'
## Create nt/gnulib.mk if it doesn't exist, as autoreconf will need it.
if test ! -f nt/gnulib.mk; then
- sed '/^[^#]/s|^.*$|/^## begin *gnulib module &/,/^## end *gnulib module &/c ## gnulib module & removed|' nt/gnulib-modules-to-delete.cfg | sed -f- lib/gnulib.mk > nt/gnulib.mk
+ echo 'Inferring nt/gnulib.mk from lib/gnulib.mk ...'
+ metascript='/^[^#]/s|^.*$|/^## begin *gnulib module &/,/^## end *gnulib module &/c ## gnulib module & removed|'
+ script=`sed "$metascript" nt/gnulib-modules-to-delete.cfg` || exit
+ sed "$script" lib/gnulib.mk > nt/gnulib.mk || exit
fi
echo "Running 'autoreconf -fi -I m4' ..."